## cowdancer 0.86

=== debian/control ===
Source: cowdancer
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: James Clarke <jrtc27@debian.org>,
           Mattia Rizzolo <mattia@debian.org>,
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-exec,
               libncurses-dev,
               pbuilder <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pbuilder-team/cowdancer
Vcs-Git: https://salsa.debian.org/pbuilder-team/cowdancer.git
Rules-Requires-Root: no

Package: cowdancer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Copy-on-write directory tree utility
 Tries to make copy-on-write semantics upon hard-link copied
 directory trees generated with 'cp -la'
 .
 'cow-shell' command invokes a shell session. Within that session,
 under the directory cow-shell was invoked,
 cowdancer will create a new file when existing i-nodes are opened for
 write.
 Useful for quick scratch workspace and experimentation.
 .
 For a useful Debian tool, try cowbuilder.
Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html

Package: cowbuilder
Architecture: any
Depends: cowdancer,
         pbuilder,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: cowdancer (<= 0.49)
Description: pbuilder running on cowdancer
 'cowbuilder' command is a wrapper for pbuilder which allows using
 pbuilder-like interface over cowdancer environment.
 .
 pbuilder is a tool for building and testing Debian package inside a clean
 chroot, and cowbuilder allows chroot to be recreated using
 hard-linked copies with copy-on-write, which makes creation and
 destruction of chroots fast.

Package: qemubuilder
Architecture: linux-any
Depends: debootstrap,
         e2fsprogs,
         pbuilder,
         qemu-system | kvm,
         ${misc:Depends},
         ${shlibs:Depends}
Description: pbuilder using QEMU as backend
 pbuilder implementation for QEMU.
 .
 qemubuilder create -- builds QEMU cow base image.
 .
 qemubuilder update -- updates QEMU cow base image.
 .
 qemubuilder build -- builds package inside QEMU cow base image.
 .
 Gives a pbuilder interface for emulated cross-building environments
 using qemu.
 .
 pbuilder is a tool for building and testing Debian package inside a
 clean chroot, and qemubuilder implements similar experience over
 emulated CPUs. This tool allows building package inside emulated
 Debian environment for different CPU architectures supported by qemu.
Homepage: http://wiki.debian.org/qemubuilder

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Multiarch is supported, but to support upgrades, the library needs to stay in
# the non-multiarch path for one release with a symlink from the multiarch
# path. See #850453.
override_dh_auto_configure:
	dh_auto_configure -- --libdir='$${prefix}/lib' --libexecdir='$${prefix}/lib'

override_dh_install:
	dh_install --fail-missing

.PHONY: debian/qemubuilder.README.Debian
debian/qemubuilder.README.Debian:
	w3m -dump 'http://wiki.debian.org/qemubuilder?action=raw' > $@.tmp
	mv $@.tmp $@

## cowdancer 0.86build1

=== debian/changelog ===
cowdancer (0.86build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:09 +0000

## cowdancer 0.87~bpo9+1

=== debian/changelog ===
cowdancer (0.87~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- James Clarke <jrtc27@debian.org>  Mon, 09 Apr 2018 12:07:12 +0100

cowdancer (0.87) unstable; urgency=medium

  * d/control:
    + Use HTTPS in the Homepage fields.
    + Update maintainer email address to team+pbuilder@tracker.debian.org.
  * d/copyright: Use HTTPS in the Format URI.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Apr 2018 14:45:18 +0200

## cowdancer 0.87

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cowdancer
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders: James Clarke <jrtc27@debian.org>,
            Mattia Rizzolo <mattia@debian.org>,
 Section: utils
@@ -28,7 +28,7 @@
  Useful for quick scratch workspace and experimentation.
  .
  For a useful Debian tool, try cowbuilder.
-Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html
+Homepage: https://www.netfort.gr.jp/~dancer/software/cowdancer.html
 
 Package: cowbuilder
 Architecture: any
@@ -70,4 +70,4 @@
  clean chroot, and qemubuilder implements similar experience over
  emulated CPUs. This tool allows building package inside emulated
  Debian environment for different CPU architectures supported by qemu.
-Homepage: http://wiki.debian.org/qemubuilder
+Homepage: https://wiki.debian.org/qemubuilder

## cowdancer 0.88~bpo9+1

=== debian/changelog ===
cowdancer (0.88~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Jan 2019 10:54:39 +0100

cowdancer (0.88) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix bash completion to work with a dynamic _have() instead of the static
    have().  LP: #1792835
  * Bump debhelper compat level to 12, using the new debhelper-compat.
    + Move from the deprecated dh_install --fail-missing to dh_missing.
  * Bump Standards-Version to 4.3.0, no changes needed.

  [ James Clarke ]
  * Fix FTBFS with glibc 2.28.  Closes: #916062

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Jan 2019 14:43:20 +0100

## cowdancer 0.88

=== initrd/Makefile ===
KLCC=klcc

all: qemuinit-static qemuinit-static-klibc initrd.gz

%-static: %.o ../forkexec.o ../file.o
	$(CC) -static -O2 -Wall -o $@ $^

%.o: %.c
	$(CC) -c -O2 -Wall -o $@ $^

%-static-klibc: %.c ../forkexec.c ../file.c
	$(KLCC) -Wall -o $@ $^

initrd.gz: qemuinit-static-klibc Makefile
	-mkdir .initrd
	-mkdir .initrd/bin
	-mkdir .initrd/lib
	-mkdir .initrd/etc
	-mkdir -p .initrd/lib/modules/linux-live/kernel/drivers/ide/
	-mkdir -p .initrd/lib/modules/linux-live/kernel/drivers/net/
	-mkdir -p .initrd/lib/modules/linux-live/kernel/fs/ext2
	-mkdir -p .initrd/lib/modules/linux-live/kernel/fs/ext3
	-mkdir -p .initrd/lib/modules/linux-live/kernel/fs/jbd
	-ln -sf ../qemuinit-static-klibc .initrd/init
	-ln -sf /usr/lib/klibc/bin/insmod .initrd/bin/insmod
	-ln -sf /usr/lib/klibc/bin/sh.shared .initrd/bin/sh
	-ln -sf /lib/klibc*.so .initrd/lib/
	-ln -sf /lib/klibc*.so .initrd/lib/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/drivers/ide/ide-core.ko .initrd/lib/modules/linux-live/kernel/drivers/ide/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/drivers/ide/ide-disk.ko .initrd/lib/modules/linux-live/kernel/drivers/ide/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/drivers/ide/ide-generic.ko .initrd/lib/modules/linux-live/kernel/drivers/ide/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/drivers/net/8390.ko .initrd/lib/modules/linux-live/kernel/drivers/net/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/drivers/net/ne2k-pci.ko .initrd/lib/modules/linux-live/kernel/drivers/net/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/fs/jbd/jbd.ko .initrd/lib/modules/linux-live/kernel/fs/jbd/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/fs/mbcache.ko .initrd/lib/modules/linux-live/kernel/fs/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/fs/ext2/ext2.ko .initrd/lib/modules/linux-live/kernel/fs/ext2/
	-ln -sf /lib/modules/$(shell uname -r)/kernel/fs/ext3/ext3.ko .initrd/lib/modules/linux-live/kernel/fs/ext3/
	cd .initrd && find . | cpio --dereference -H newc -o > ../$@.1.tmp
	gzip -9 -n < $@.1.tmp > $@.2.tmp
	rm $@.1.tmp
	mv $@.2.tmp $@

check: initrd.gz
	# this assumes you're running on amd64.
	[ $(shell uname -m) = x86_64 ]
	qemu-system-x86_64 -kernel /boot/vmlinuz-$(shell uname -r) \
		-nographic \
		-hda /var/cache/pbuilder/base-i386.qemu \
		-hdb /dev/zero \
		-initrd ./initrd.gz \
		-serial stdio \
		-append "quiet console=ttyS0 pbuilderarch=i386 "

clean:
	rm -f qemuinit-static qemuinit-static-klibc *.o *~ initrd.gz 
	rm -rf .initrd

check-syntax:
	$(CC) -c -O2 -Wall $(CHK_SOURCES)  -o/dev/null -D LIBDIR="\"${LIBDIR}\""

.PHONY: clean check

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
-Uploaders: James Clarke <jrtc27@debian.org>,
-           Mattia Rizzolo <mattia@debian.org>,
+Uploaders:
+ James Clarke <jrtc27@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-exec,
-               libncurses-dev,
-               pbuilder <!nocheck>,
-Standards-Version: 4.1.3
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-exec,
+ libncurses-dev,
+ pbuilder <!nocheck>,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/cowdancer
 Vcs-Git: https://salsa.debian.org/pbuilder-team/cowdancer.git
 Rules-Requires-Root: no
 
 Package: cowdancer
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Copy-on-write directory tree utility
  Tries to make copy-on-write semantics upon hard-link copied
  directory trees generated with 'cp -la'
@@ -32,11 +35,13 @@
 
 Package: cowbuilder
 Architecture: any
-Depends: cowdancer,
-         pbuilder,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Replaces: cowdancer (<= 0.49)
+Depends:
+ cowdancer,
+ pbuilder,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ cowdancer (<= 0.49),
 Description: pbuilder running on cowdancer
  'cowbuilder' command is a wrapper for pbuilder which allows using
  pbuilder-like interface over cowdancer environment.
@@ -48,12 +53,13 @@
 
 Package: qemubuilder
 Architecture: linux-any
-Depends: debootstrap,
-         e2fsprogs,
-         pbuilder,
-         qemu-system | kvm,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ debootstrap,
+ e2fsprogs,
+ pbuilder,
+ qemu-system | kvm,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .

## cowdancer 0.88+nmu1

=== debian/changelog ===
cowdancer (0.88+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:03:32 +0800

## cowdancer 0.89

=== debian/changelog ===
cowdancer (0.89) unstable; urgency=medium

  [ Jessica Clarke ]
  * parameter.c: Sync options with pbuilder 0.230.4.
    This adds support for --use-cgroup and --no-source-only-changes.
    Closes: #932465
  * Update my name.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Update standards version to 4.5.0, no changes needed.

  [ Thorsten Glaser ]
  * Check isatty(3) rather than rely on ncurses/tinfo (Closes: #970555)
  * Revert "Don't deadlock initialization"

  [ Joao Eriberto Mota Filho ]
  * Update distributions and allow options without '--'

 -- Jessica Clarke <jrtc27@debian.org>  Thu, 08 Oct 2020 22:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
- James Clarke <jrtc27@debian.org>,
+ Jessica Clarke <jrtc27@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12),
  dh-exec,
- libncurses-dev,
  pbuilder <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/cowdancer
 Vcs-Git: https://salsa.debian.org/pbuilder-team/cowdancer.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir='$${prefix}/lib' --libexecdir='$${prefix}/lib'
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 .PHONY: debian/qemubuilder.README.Debian
 debian/qemubuilder.README.Debian:

## cowdancer 0.90

=== debian/changelog ===
cowdancer (0.90) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Trigger again the removal of the very old conffile (Closes: #914076)
  * Drop old Replaces against a 12-years-old version.
  * Trigger again the removal of a very old conffile

  [ Jessica Clarke ]
  * Fix FTBFS when symbols are redirected (Closes: #1069484)
  * d/control: Bump Standards-Version to 4.7.0
  * Bump to compat level 13; drop dh_missing override and dh-exec use

 -- Jessica Clarke <jrtc27@debian.org>  Sat, 01 Jun 2024 23:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-exec,
+ debhelper-compat (= 13),
  pbuilder <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/cowdancer
 Vcs-Git: https://salsa.debian.org/pbuilder-team/cowdancer.git
 Rules-Requires-Root: no
@@ -39,8 +38,6 @@
  pbuilder,
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces:
- cowdancer (<= 0.49),
 Description: pbuilder running on cowdancer
  'cowbuilder' command is a wrapper for pbuilder which allows using
  pbuilder-like interface over cowdancer environment.

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir='$${prefix}/lib' --libexecdir='$${prefix}/lib'
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: debian/qemubuilder.README.Debian
 debian/qemubuilder.README.Debian:
 	w3m -dump 'http://wiki.debian.org/qemubuilder?action=raw' > $@.tmp

## cowdancer 0.90build1

=== debian/changelog ===
cowdancer (0.90build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 21:38:39 +0000
